Subject: [bug#66453] [PATCH 0/4] Three KiCad color themes

From: Peter Polidoro <[email-masked]>
Date: Tue, 31 Oct 2023 10:50:06 -0400

Hello,

I have been told by KiCad developers that the KICAD7_3RD_PARTY 
environment variable is not intended to be used for this purpose, 
since the directory pointed to by KICAD7_3RD_PARTY needs 
read/write privileges.

I need to submit a feature request to the KiCad developers to 
allow colors to be installed into a system directory, so I need to 
place this patch series on hold until that request is handled.

I may also need to request that they add another environment 
variable for KiCad to search the profile directory for plugins, 
although this may happen automatically.

I am going to create a package for a plugin to see if that works 
before returning to this patch series.

Thank you!

Mathieu Othacehe <[email-masked]> writes:

> [1. text/plain]
>
> Hello,
>
> Thanks for this patch, it seems to work fine! I think it is 
> acceptable
> to force extension installation through Guix.
>
> As a general remark some lines are too long, this is reported by 
> the
> linter: https://qa.guix.gnu.org/issue/66453.
>
> On Github the version is 2021-12-05, so the packages with the 
> 1.2
> version are flagged as updatable:
>
> [2. text/x-verbatim]
> gnu/packages/engineering.scm:1346:15: 
> [email-masked]: can be upgraded to 
> 2021.12.05
>
> [3. text/plain]
>
> You can also remove the '.git' suffix in `url` in git-reference:
>
> [4. text/x-verbatim]
> gnu/packages/engineering.scm:1378:7: 
> [email-masked]: permanent redirect from 
> https://github.com/pointhi/kicad-color-schemes.git to 
> https://github.com/pointhi/kicad-color-schemes
>
> [5. text/plain]
> Finally do you think it would be possible to package all the 
> supported
> color themes in a single package?
>
> Thanks,
>
> Mathieu